Computes a set of points on a curve from package Adaptor3d such as between two successive points P1(u1)and P2(u2) :
More...
|
| GCPnts_TangentialDeflection () |
| Empty constructor.
|
|
| GCPnts_TangentialDeflection (const Adaptor3d_Curve &theC, const Standard_Real theAngularDeflection, const Standard_Real theCurvatureDeflection, const Standard_Integer theMinimumOfPoints=2, const Standard_Real theUTol=1.0e-9, const Standard_Real theMinLen=1.0e-7) |
| Constructor for 3D curve.
|
|
| GCPnts_TangentialDeflection (const Adaptor3d_Curve &theC, const Standard_Real theFirstParameter, const Standard_Real theLastParameter, const Standard_Real theAngularDeflection, const Standard_Real theCurvatureDeflection, const Standard_Integer theMinimumOfPoints=2, const Standard_Real theUTol=1.0e-9, const Standard_Real theMinLen=1.0e-7) |
| Constructor for 3D curve with restricted range.
|
|
| GCPnts_TangentialDeflection (const Adaptor2d_Curve2d &theC, const Standard_Real theAngularDeflection, const Standard_Real theCurvatureDeflection, const Standard_Integer theMinimumOfPoints=2, const Standard_Real theUTol=1.0e-9, const Standard_Real theMinLen=1.0e-7) |
| Constructor for 2D curve.
|
|
| GCPnts_TangentialDeflection (const Adaptor2d_Curve2d &theC, const Standard_Real theFirstParameter, const Standard_Real theLastParameter, const Standard_Real theAngularDeflection, const Standard_Real theCurvatureDeflection, const Standard_Integer theMinimumOfPoints=2, const Standard_Real theUTol=1.0e-9, const Standard_Real theMinLen=1.0e-7) |
| Constructor for 2D curve with restricted range.
|
|
void | Initialize (const Adaptor3d_Curve &theC, const Standard_Real theAngularDeflection, const Standard_Real theCurvatureDeflection, const Standard_Integer theMinimumOfPoints=2, const Standard_Real theUTol=1.0e-9, const Standard_Real theMinLen=1.0e-7) |
| Initialize algorithm for 3D curve.
|
|
void | Initialize (const Adaptor3d_Curve &theC, const Standard_Real theFirstParameter, const Standard_Real theLastParameter, const Standard_Real theAngularDeflection, const Standard_Real theCurvatureDeflection, const Standard_Integer theMinimumOfPoints=2, const Standard_Real theUTol=1.0e-9, const Standard_Real theMinLen=1.0e-7) |
| Initialize algorithm for 3D curve with restricted range.
|
|
void | Initialize (const Adaptor2d_Curve2d &theC, const Standard_Real theAngularDeflection, const Standard_Real theCurvatureDeflection, const Standard_Integer theMinimumOfPoints=2, const Standard_Real theUTol=1.0e-9, const Standard_Real theMinLen=1.0e-7) |
| Initialize algorithm for 2D curve.
|
|
void | Initialize (const Adaptor2d_Curve2d &theC, const Standard_Real theFirstParameter, const Standard_Real theLastParameter, const Standard_Real theAngularDeflection, const Standard_Real theCurvatureDeflection, const Standard_Integer theMinimumOfPoints=2, const Standard_Real theUTol=1.0e-9, const Standard_Real theMinLen=1.0e-7) |
| Initialize algorithm for 2D curve with restricted range.
|
|
Standard_Integer | AddPoint (const gp_Pnt &thePnt, const Standard_Real theParam, const Standard_Boolean theIsReplace=Standard_True) |
| Add point to already calculated points (or replace existing) Returns index of new added point or founded with parametric tolerance (replaced if theIsReplace is true)
|
|
Standard_Integer | NbPoints () const |
|
Standard_Real | Parameter (const Standard_Integer I) const |
|
gp_Pnt | Value (const Standard_Integer I) const |
|
Computes a set of points on a curve from package Adaptor3d such as between two successive points P1(u1)and P2(u2) :
. ||P1P3^P3P2||/||P1P3||*||P3P2||<AngularDeflection
. ||P1P2^P1P3||/||P1P2||<CurvatureDeflection
where P3 is the point of abscissa ((u1+u2)/2), with u1 the abscissa of the point P1 and u2 the abscissa of the point P2.
^ is the cross product of two vectors, and ||P1P2|| the magnitude of the vector P1P2.
The conditions AngularDeflection > gp::Resolution() and CurvatureDeflection > gp::Resolution() must be satisfied at the construction time.
A minimum number of points can be fixed for a linear or circular element. Example:
double aCDeflect = 0.01;
double anADeflect = 0.09;
aPointsOnCurve.
Initialize (aCurveAdaptor, anADeflect, aCDeflect);
for (
int i = 1; i <= aPointsOnCurve.
NbPoints(); ++i)
{
}
#define Handle(Class)
Define Handle() macro.
Definition Standard_Handle.hxx:399
Computes a set of points on a curve from package Adaptor3d such as between two successive points P1(u...
Definition GCPnts_TangentialDeflection.hxx:63
void Initialize(const Adaptor3d_Curve &theC, const Standard_Real theAngularDeflection, const Standard_Real theCurvatureDeflection, const Standard_Integer theMinimumOfPoints=2, const Standard_Real theUTol=1.0e-9, const Standard_Real theMinLen=1.0e-7)
Initialize algorithm for 3D curve.
Standard_Real Parameter(const Standard_Integer I) const
Definition GCPnts_TangentialDeflection.hxx:200
Standard_Integer NbPoints() const
Definition GCPnts_TangentialDeflection.hxx:195
gp_Pnt Value(const Standard_Integer I) const
Definition GCPnts_TangentialDeflection.hxx:205
Describes a rational or non-rational Bezier curve.
Definition Geom_BezierCurve.hxx:89
This class provides an interface between the services provided by any curve from the package Geom and...
Definition GeomAdaptor_Curve.hxx:38
Defines a 3D cartesian point.
Definition gp_Pnt.hxx:32